=== debian/control ===
Source: uim
Section: libs
Priority: optional
Maintainer: HIGUCHI Daisuke (VDR dai) <dai@debian.org>
Uploaders: NOKUBI Takatsugu <knok@daionet.gr.jp>
Build-Depends: debhelper (>= 11~),
	autoconf,
	automake,
	intltool,
	libtool,
	cmake,
	librsvg2-bin,
	libxml-perl,
	m17n-db,
	libanthy-dev (>= 1:0.3),
	libatk1.0-dev,
	libedit-dev,
	libexpat1-dev,
	libfreetype6-dev,
	libgcroots-dev,
	libgtk2.0-dev (>= 2.10.1),
	libgtk-3-dev,
	libncurses5-dev,
	libm17n-dev,
	libpango1.0-dev,
	libx11-dev,
	libxext-dev,
	libxft-dev,
	qtbase5-dev,
	qtbase5-private-dev,
	libqt5x11extras5-dev,
	x11proto-core-dev
Standards-Version: 4.1.3
Homepage: https://github.com/uim/uim/wiki
Vcs-Git: https://salsa.debian.org/debian/uim.git
Vcs-Browser: https://salsa.debian.org/debian/uim

Package: uim
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim-data (>= ${source:Version}),
	uim-plugins (>= ${source:Version})
Pre-Depends: dpkg (>= 1.15.7.2)
Breaks: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	libuim-data (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	uim-utils (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	uim-anthy (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	uim-skk (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
Replaces: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	libuim-data (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	uim-utils (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	uim-anthy (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	uim-skk (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
Recommends: wordlist, im-config,
	uim-gtk2.0 (>= ${source:Version}),
	uim-qt5 (>= ${source:Version}),
	uim-gtk3 (>= ${source:Version}),
	uim-xim (>= ${source:Version}),
	uim-fep (>= ${source:Version})
Suggests: uim-mozc | uim-anthy | uim-skk
Description: Universal Input Method - main binary package
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package is a package designed to install the basic uim infrastructure.

Package: uim-plugins
Section: utils
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libuim-plugins (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	uim-anthy (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
Replaces: libuim-plugins (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	uim-anthy (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
Description: Universal Input Method - plugin files
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the plugin files for uim.

Package: uim-data
Section: utils
Architecture: all
Breaks: libuim-data (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	uim-anthy (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
Replaces: libuim-data (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	uim-anthy (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
Depends: m17n-db,
	${misc:Depends}
Multi-Arch: foreign
Description: Universal Input Method - data files
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the data files for uim.

Package: libuim8
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
Replaces: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
Multi-Arch: same
Description: Universal Input Method - uim library
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the shared libraries for uim.

Package: libuim-scm0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
Replaces: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
Multi-Arch: same
Description: Universal Input Method - uim-scm API library
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the shared library for uim-scm API.

Package: libuim-custom2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
Replaces: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
Multi-Arch: same
Description: Universal Input Method - uim-custom API library
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the shared library for uim-custom API.

Package: libuim-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
	libuim8 (= ${binary:Version}),
	libuim-custom2 (= ${binary:Version}),
	libuim-scm0 (= ${binary:Version}),
	libgcroots-dev
Multi-Arch: same
Description: Universal Input Method - development files
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains header files and static libraries for uim development.

Package: uim-gtk2.0
Section: x11
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim-gtk2.0-immodule (= ${binary:Version}),
	uim (>= ${source:Version}),
	uim-data (>= ${source:Version})
Description: Universal Input Method - GTK+2.x front end
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains an GTK+2.0 front-end applications for uim.

Package: uim-gtk2.0-immodule
Section: x11
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: uim-gtk2.0 (<<1:1.8.6+gh20161003.0.d63dadd-5~)
Breaks: uim-gtk2.0 (<<1:1.8.6+gh20161003.0.d63dadd-5~)
Description: Universal Input Method - GTK+2.x IM-module
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains an IM-module to support the use of uim on GTK+2.0
 applications.

Package: uim-gtk3
Section: x11
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim-gtk3-immodule (= ${binary:Version}),
	uim (>= ${source:Version}),
	uim-data (>= ${source:Version})
Description: Universal Input Method - GTK+3.x front end
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains an GTK+3.0 front-end applications for uim.

Package: uim-gtk3-immodule
Section: x11
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: uim-gtk3 (<<1:1.8.6+gh20161003.0.d63dadd-5~)
Replaces: uim-gtk3 (<<1:1.8.6+gh20161003.0.d63dadd-5~)
Description: Universal Input Method - GTK+3.x IM module
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains an IM-module to support the use of uim on GTK+3.0
 applications.

Package: uim-qt5
Section: x11
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim-qt5-immodule (= ${binary:Version}),
	uim (>= ${source:Version}),
	uim-data (>= ${source:Version})
Description: Universal Input Method - Qt 5.x front end
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains some graphical utilities (but not a full IM-module)
 using Qt 5.x.

Package: uim-qt5-immodule
Section: x11
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Universal Input Method - Qt 5.x IM module
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains an IM-module to support the use of uim on Qt 5.x.

Package: uim-xim
Section: x11
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim (>= ${source:Version}),
	uim-data (>= ${source:Version})
Suggests: uim-gtk2.0, uim-gtk3, uim-qt5
Description: Universal Input Method - XIM compatibility interface
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package provides a bridge allowing software that can only interface
 with the X Input Method to work with uim.

Package: uim-fep
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim (>= ${source:Version}),
	uim-data (>= ${source:Version}),
Description: Universal Input Method - front end processor
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
