=== debian/changelog ===
uim (1:1.8.8-4+deb10u5) buster; urgency=medium

  * Non-maintainer upload.
  * libuim-data: Copy Breaks from uim-data as the contents will be temporarily
    unavailable during the transition to uim-data.  (Closes: #988275)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 10 May 2021 11:26:03 +0200

uim (1:1.8.8-4+deb10u4) buster; urgency=medium

  * Non-maintainer upload.
  * libuim-data: Perform symlink_to_dir conversion of
    /usr/share/doc/libuim-data in the resurrected package for clean upgrades
    from stretch.  (Closes: #985352)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Mar 2021 15:29:59 +0100

uim (1:1.8.8-4+deb10u3) buster; urgency=medium

  * Non-maintainer upload.

  [ NOKUBI Takatsugu ]
  * d/libuim-data.postint: add uim-mozc (See #939588)

  [ HIGUCHI Daisuke (VDR dai) ]
  * d/libuim-data.postinst: add uim-chewing

  [ YOSHINO Yoshihito ]
  * d/libuim-data.postinst: unregister not-installed modules (Closes: #945344).
    The previous upload to fix #939588 caused regression, which has
    accidentally registered some not-installed modules.

 -- YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>  Sun, 12 Jan 2020 19:42:26 +0900

uim (1:1.8.8-4+deb10u2) buster; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * resurrect libuim-data as a transitional package (Closes: #939588).
    After upgrading from stretch to buster, if purging libuim-data,
    its postrm script deletes /var/lib/uim/*.scm files required by uim.
    This libuim-data transitional package can be removed safely.

  [ NOKUBI Takatsugu ]
  * d/control: uim-data depends libuim-data dummy package,
    change the description.
  * d/libuim-data.postint: re-register all modules, fix #939588

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 12 Sep 2019 00:08:30 +0900

uim (1:1.8.8-4) unstable; urgency=medium

  [ YOSHINO Yoshihito ]
  * Non-maintainer upload.
  * d/{uim.{postinst,prerm},NEWS}: Do not auto-register/unregister plugins of
    the following input methods:
    byeoru, ipa-x-sampa, latin, look, m17nlib, pinyin, viqr
    When upgrading from stretch this behaved badly and they took precedence
    over other popular plugins many people use.
  * d/{control,rules,uim-*.{postinst,prerm}}: Resurrect packages
    uim-{byeoru,ipa-x-sampa,latin,look,m17nlib,pinyin,viqr} for those plugins.
    All of them exist in stretch and should upgrade normally.
    Dear testing/sid users,
    If you are using some of the input methods above, you have to manually
    install the respective package(s). Sorry for any inconvenience.
  * d/{uim.preinst,control}: Unregister those plugins on upgrade from
    testing/sid. Make uim Pre-Depends: uim-data accordingly.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 28 Mar 2019 09:31:18 +0900

uim (1:1.8.8-3) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * d/control: set Breaks+Replaces: uim-qt5 to uim-qt5-immodule
    (Closes: #905186).

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 03 Aug 2018 21:26:06 +0900

uim (1:1.8.8-2) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * d/t/: do not use Makefile.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 13 May 2018 17:00:05 +0900

uim (1:1.8.8-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream release.
  * d/control: tighten build-dependency libgcroots-dev.
  * d/p/support_anthy-0.3.patch: refresh patch.
  * d/p/fix_spelling_error_sigscheme.patch: removed, imported upstream.
  * d/p/uim_can_work_with_libgcroot_0.2.2.patch: removed, imported upstream.
  * d/rules, d/uim-data.docs: use RELNOTE as upstream changelog.
  * support autopkgtest.
  * bump up Standards-Version 4.1.4.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 12 May 2018 13:11:45 +0900

uim (1:1.8.6+gh20180301.c79432c-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream git checkout.
  * d/p/qt5-disable-debug-flag.patch: removed, imported upstream.
  * d/p/qt5-immodule-qmake-conf.patch: removed, not-needed.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 03 Mar 2018 20:32:03 +0900
