=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	libedit-dev,
 	libexpat1-dev,
 	libfreetype6-dev,
-	libgcroots-dev,
+	libgcroots-dev (>= 0.9.0),
 	libgtk2.0-dev (>= 2.10.1),
 	libgtk-3-dev,
 	libncurses5-dev,
@@ -30,7 +30,7 @@
 	qtbase5-private-dev,
 	libqt5x11extras5-dev,
 	x11proto-core-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/uim/uim/wiki
 Vcs-Git: https://salsa.debian.org/debian/uim.git
 Vcs-Browser: https://salsa.debian.org/debian/uim
@@ -40,9 +40,9 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
-	uim-data (>= ${source:Version}),
 	uim-plugins (>= ${source:Version})
-Pre-Depends: dpkg (>= 1.15.7.2)
+Pre-Depends: dpkg (>= 1.15.7.2),
+	uim-data (>= ${source:Version})
 Breaks: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
 	libuim-data (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
 	uim-utils (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
@@ -92,11 +92,25 @@
 Architecture: all
 Breaks: libuim-data (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
 	uim-anthy (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-m17nlib (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-byeoru (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-latin (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-pinyin (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-viqr (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-ipa-x-sampa (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-look (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
 	uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
 Replaces: libuim-data (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
 	uim-anthy (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-m17nlib (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-byeoru (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-latin (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-pinyin (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-viqr (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-ipa-x-sampa (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-look (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
 	uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
-Depends: m17n-db,
+Depends: m17n-db, libuim-data (>= ${source:Version}),
 	${misc:Depends}
 Multi-Arch: foreign
 Description: Universal Input Method - data files
@@ -107,6 +121,22 @@
  Scheme, so it's very simple and flexible.
  .
  This package contains the data files for uim.
+
+Package: libuim-data
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Architecture: all
+Section: oldlibs
+Breaks: uim-anthy (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-m17nlib (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-byeoru (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-latin (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-pinyin (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-viqr (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-ipa-x-sampa (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-look (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
+Description: transitional package for uim-data
+ This is a transitional package. It will be removed next release.
 
 Package: libuim8
 Architecture: any
@@ -262,42 +292,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: uim-qt5 (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
+Replaces: uim-qt5 (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
 Description: Universal Input Method - Qt 5.x IM module
  Uim is an input method module library which supports various scripts and can
  act as a front end for a range of input methods, including Anthy, Canna,
- PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
- M17n (for many other languages). Most of its functions are implemented in
- Scheme, so it's very simple and flexible.
- .
- This package contains an IM-module to support the use of uim on Qt 5.x.
-
-Package: uim-xim
-Section: x11
-Architecture: any
-Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
-	uim (>= ${source:Version}),
-	uim-data (>= ${source:Version})
-Suggests: uim-gtk2.0, uim-gtk3, uim-qt5
-Description: Universal Input Method - XIM compatibility interface
- Uim is an input method module library which supports various scripts and can
- act as a front end for a range of input methods, including Anthy, Canna,
- or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
- M17n (for many other languages). Most of its functions are implemented in
- Scheme, so it's very simple and flexible.
- .
- This package provides a bridge allowing software that can only interface
- with the X Input Method to work with uim.
-
-Package: uim-fep
-Section: utils
-Architecture: any
-Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
-	uim (>= ${source:Version}),
-	uim-data (>= ${source:Version}),
-Description: Universal Input Method - front end processor
- Uim is an input method module library which supports various scripts and can
- act as a front end for a range of input methods, including Anthy, Canna,
- or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
- M17n (for many other languages). Most of its functions are implemented in
