=== debian/watch ===
version=3
opts="uversionmangle=s/-alpha/~alpha/;s/-beta/~beta/" \
 https://github.com/uim/uim/releases .*/uim-(\d\.\d\.\d.*)\.tar\.gz
