=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+# workaround for #1019974
+export DEB_CFLAGS_MAINT_APPEND += -O1
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -25,7 +28,7 @@
 
 confflags += \
 	--with-fep \
-	--without-anthy \
+	--with-anthy \
 	--with-anthy-utf8 \
 	--with-m17nlib \
 	--with-x \
@@ -35,6 +38,8 @@
 	--without-qt4-immodule \
 	--with-qt5 \
 	--with-qt5-immodule \
+	--with-qt6 \
+	--with-qt6-immodule \
 	--with-expat \
 	--disable-dict \
 	--disable-gnome-applet \
@@ -84,9 +89,6 @@
 		usr/share/uim/loader.scm
 	dh_link
 
-override_dh_strip:
-	dh_strip --ddeb-migration='uim-dbg (<< 1:1.8.1-15~)'
-
 override_dh_makeshlibs:
 	dh_makeshlibs \
 		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/uim/plugin \
@@ -111,7 +113,8 @@
 	dh_installdocs --link-doc uim \
 		-puim-gtk2.0 -puim-gtk2.0-immodule \
 		-puim-gtk3 -puim-gtk3-immodule \
-		-puim-qt5 -puim-qt5-immodule
+		-puim-qt5 -puim-qt5-immodule \
+		-puim-qt6 -puim-qt6-immodule
 	dh_installdocs --link-doc libuim8 -plibuim-dev
 
 override_dh_installchangelogs:
