=== debian/changelog ===
uim (1:1.9.6-1build2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 07:49:15 +0100

uim (1:1.9.6-1build1) questing; urgency=medium

  * No-change rebuild against Qt 5.15.17.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 13 Jul 2025 10:58:09 +0300

uim (1:1.9.6-1) unstable; urgency=medium

  * New upstream
  * d/p/0008-use-ScmFncType.patch: removed

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Sat, 17 May 2025 06:37:08 +0000

uim (1:1.9.3-1) unstable; urgency=medium

  * New upstream release
  * d/p/support_anthy-0.3.patch: fix latest version (Closes: #1104618)
  * d/p/0008-use-ScmFncType.patch: work on -Wincompatible-pointer-types

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 05 May 2025 10:09:49 +0900

uim (1:1.9.0-3) unstable; urgency=medium

  * debian/conrtol: remove dpkg pre-depends (Closes: #1100107)

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 12 Mar 2025 00:03:50 +0000

uim (1:1.9.0-2) unstable; urgency=medium

  [ YOSHINO Yoshihito ]
  * Non-maintainer upload.
  * debian/{control,rules,libuim-data.*}: Drop libuim-data (Closes: #1032792).
  * debian/uim-data.postinst: Renamed from libuim-data.

  [ NOKUBI Takatsugu ]
  * import debdiff

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 10 Mar 2025 00:52:33 +0000
