=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: uim
 Section: libs
 Priority: optional
-Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
 Build-Depends: debhelper-compat (= 12),
 	autoconf,
+	autoconf-archive,
 	automake,
 	intltool,
 	libtool,
@@ -15,11 +17,11 @@
 	libatk1.0-dev,
 	libedit-dev,
 	libexpat1-dev,
-	libfreetype6-dev,
+	libfreetype-dev,
 	libgcroots-dev (>= 0.9.0),
 	libgtk2.0-dev (>= 2.10.1),
 	libgtk-3-dev,
-	libncurses5-dev,
+	libncurses-dev,
 	libm17n-dev,
 	libpango1.0-dev,
 	libx11-dev,
@@ -47,8 +49,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends},
 	libuim8 (= ${binary:Version}),
 	uim-plugins (= ${binary:Version})
-Pre-Depends: dpkg (>= 1.15.7.2),
-	uim-data (>= ${source:Version})
+Pre-Depends: uim-data (>= ${source:Version})
 Breaks: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
 	libuim-data (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
 	uim-utils (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
@@ -118,7 +119,7 @@
 	uim-ipa-x-sampa (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
 	uim-look (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
 	uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
-Depends: m17n-db, libuim-data (>= ${source:Version}),
+Depends: m17n-db,
 	${misc:Depends}
 Multi-Arch: foreign
 Description: Universal Input Method - data files
@@ -129,13 +130,6 @@
  Scheme, so it's very simple and flexible.
  .
  This package contains the data files for uim.
-
-Package: libuim-data
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Architecture: all
-Section: oldlibs
-Description: transitional package for uim-data
- This is a transitional package. It will be removed next release.
 
 Package: libuim8
 Architecture: any
@@ -304,3 +298,7 @@
 Description: Universal Input Method - Qt 5.x IM module
  Uim is an input method module library which supports various scripts and can
  act as a front end for a range of input methods, including Anthy, Canna,
+ PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
+ M17n (for many other languages). Most of its functions are implemented in
+ Scheme, so it's very simple and flexible.
+ .
