=== debian/rules ===
--- 
+++ 
@@ -101,8 +101,7 @@
 	dh_installdocs -puim -puim-data \
 		-plibuim8 -plibuim-scm0 -plibuim-custom2 \
 		-puim-plugins \
-		-puim-el -puim-fep -puim-xim \
-		-plibuim-data
+		-puim-el -puim-fep -puim-xim
 	rm -f $(CURDIR)/debian/uim.docs
 	# arch:all
 	dh_installdocs --link-doc uim-data \
@@ -122,5 +121,4 @@
 		-puim-plugins \
 		-plibuim8 -plibuim-scm0 -plibuim-custom2 -plibuim-dev \
 		-puim-el -puim-fep -puim-xim \
-		-plibuim-data \
 		RELNOTE
