=== debian/watch ===
version=4
opts="searchmode=plain,uversionmangle=s/-alpha/~alpha/;s/-beta/~beta/" \
 https://api.github.com/repos/@PACKAGE@/@PACKAGE@/releases https://github.com/@PACKAGE@/@PACKAGE@/releases/download/v?[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
